package com.tgv.malware.ui.malware

import com.tgv.malware.MyApplication
import com.trustlook.sdk.cloudscan.CloudScanClient
import com.trustlook.sdk.data.Region

/**
 *Create by SleepDog on 2025-01-24
 */
object CloudScan {
    val scanClient by lazy(LazyThreadSafetyMode.NONE) {
        CloudScanClient.Builder(MyApplication.appContext)
            // 设置服务地区，
// 海外地区设置：Region.INTL，百度用户设置：Region.BAIDU
            .setRegion(Region.INTL)
            // 设置连接超时时长，单位为毫秒
            .setConnectionTimeout(30000)
            //设置传输超时时长，单位为毫秒
            .setSocketTimeout(30000)
            .build()
    }
}